Page MenuHomePhabricator

Please add contentdm.lib.byu.edu to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

I'm preparing to try out batch uploading from the library I work at to the commons. The GWToolset instructions recommend whitelisting my institution's domain. Here's an example of a photo from the collection: http://contentdm.lib.byu.edu/cdm/compoundobject/collection/p15999coll20/id/6458/rec/203. Thank you!

Event Timeline

Restricted Application added subscribers: Zppix, Poyekhali, JEumerus and 4 others. · View Herald TranscriptJun 30 2016, 7:24 PM
Dereckson added a comment.EditedJul 1 2016, 11:03 AM

@RachelHelpsBYU When do you plan to upload?

Our next regular deployment window to update configuration is Monday 8am UTC-7. If you need to work on this Friday or Saturday, please let me know and I'll try to see if we could update this today.

Change 296882 had a related patch set uploaded (by Dereckson):
Add contentdm.lib.byu.edu to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/296882

Dereckson triaged this task as Normal priority.Jul 2 2016, 12:23 AM
Dereckson renamed this task from Please add <contentdm.lib.byu.edu> to $wgCopyUploadsDomains to Please add contentdm.lib.byu.edu to $wgCopyUploadsDomains.Jul 9 2016, 11:12 AM

Planned for deployment 2016-07-11 17:00 UTC (morning SWAT).

thank you! sorry for my unresponsiveness.

Rachel

Change 296882 merged by jenkins-bot:
Add contentdm.lib.byu.edu to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/296882

Mentioned in SAL [2016-07-11T15:19:19Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:296882|Add contentdm.lib.byu.edu to wgCopyUploadsDomains (T139095)]] (duration: 00m 26s)

Dereckson closed this task as Resolved.Jul 11 2016, 3:25 PM

The domain has been added.

I tested to upload a part of http://contentdm.lib.byu.edu/cdm/compoundobject/collection/p15999coll20/id/6458/rec/203, it works fine.